## org.eclipse.emf.mapping.impl
Class MappingImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.mapping.impl.MappingImpl

All Implemented Interfaces:
  Notifier, EObject, InternalEObject, Mapping

Direct Known Subclasses:
  MappingRootImpl

    public class MappingImpl

extends EObjectImpl
implements Mapping

An implementation of the model object 'Mapping'.

The following features are implemented:

- `Helper`
- `Nested`
- `Nested In`
- `Inputs`
- `Outputs`
- `Type Mapping`

Nested Class Summary
`static class` `MappingImpl.MappingTreeIterator` This implements a tree iterator that will iterate over a mapping, all it's nested mappings, all their nested mappings, and so on.

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends java.lang.Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`protected MappingHelper` `helper` The cached value of the '`Helper`' containment reference
`protected EList<EObject>` `inputs` The cached value of the '`Inputs`' reference list
`protected EList<Mapping>` `nested` The cached value of the '`Nested`' containment reference list
`protected EList<EObject>` `outputs` The cached value of the '`Outputs`' reference list
`protected Mapping` `typeMapping` The cached value of the '`Type Mapping`' reference

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `MappingImpl()`

Method Summary
`Mapping` `basicGetTypeMapping()`
`NotificationChain` `basicSetHelper(MappingHelper newHelper, NotificationChain msgs)`
`NotificationChain` `basicSetNestedIn(Mapping newNestedIn, NotificationChain msgs)`
`NotificationChain` `eBasicRemoveFromContainerFeature(NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`EList<EObject>` `getBottoms()` This returns the same as either `Mapping.getInputs()` or `Mapping.getOutputs()` depending on the mapping root's isTopToBottom.
`MappingHelper` `getEffectiveHelper()` This returns the mapping helper for this mapping, if it has one.
`MappingHelper` `getHelper()`
`EList<EObject>` `getInputs()`
`java.util.Collection<? extends EObject>` `getMappedObjects()` This returns a set containing the results of `Mapping.getInputs()` and `Mapping.getOutputs()`.
`MappingRoot` `getMappingRoot()` This returns either the containing mapping root or the object itself, if it is a mapping root.
`EList<Mapping>` `getNested()`
`Mapping` `getNestedIn()`
`EList<EObject>` `getOutputs()`
`EList<EObject>` `getReceivers()` This returns the same as `Mapping.getOutputs()` if `Mapping.isReverse()` returns false.
`EList<EObject>` `getSenders()` This returns the same as `Mapping.getInputs()` if `Mapping.isReverse()` returns false.
`EList<EObject>` `getTops()` This returns the same as either `Mapping.getInputs()` or `Mapping.getOutputs()` depending on the mapping root's isTopToBottom.
`Mapping` `getTypeMapping()`
`boolean` `isReverse()` This method is delegated to the containing mapping if one exists, or returns false otherwise.
`void` `setHelper(MappingHelper newHelper)`
`void` `setNestedIn(Mapping newNestedIn)`
`void` `setTypeMapping(Mapping newTypeMapping)`
`java.lang.String` `toString()`
`TreeIterator<Mapping>` `treeIterator()` This returns a tree iterator that iterates over this mapping, all it's nested mappings, and their nested mappings, and so on.
`TreeIterator<Mapping>` `treeIterator(boolean includeRoot)` This returns a tree iterator that iterates over this mapping (but only if includeRoot is true), all it's nested mappings, and their nested mappings, and so on.

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### helper

    protected MappingHelper helper

  The cached value of the '`Helper`' containment reference.

  See Also:
    `getHelper()`

### nested

    protected EList<Mapping> nested

  The cached value of the '`Nested`' containment reference list.

  See Also:
    `getNested()`

### inputs

    protected EList<EObject> inputs

  The cached value of the '`Inputs`' reference list.

  See Also:
    `getInputs()`

### outputs

    protected EList<EObject> outputs

  The cached value of the '`Outputs`' reference list.

  See Also:
    `getOutputs()`

### typeMapping

    protected Mapping typeMapping

  The cached value of the '`Type Mapping`' reference.

  See Also:
    `getTypeMapping()`

Constructor Detail

### MappingImpl

    protected MappingImpl()

Method Detail

### eStaticClass

    protected EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `EObjectImpl`

### getHelper

    public MappingHelper getHelper()

  Specified by:
    `getHelper` in interface `Mapping`
  Returns:
    the value of the 'Helper' containment reference.
  See Also:
    `Mapping.setHelper(MappingHelper)`, `MappingPackage.getMapping_Helper()`, `MappingHelper.getMapper()`

### basicSetHelper

    public NotificationChain basicSetHelper(MappingHelper newHelper,
                                            NotificationChain msgs)

### setHelper

    public void setHelper(MappingHelper newHelper)

  Specified by:
    `setHelper` in interface `Mapping`
  Parameters:
    `newHelper` - the new value of the 'Helper' containment reference.
  See Also:
    `Mapping.getHelper()`

### getNested

    public EList<Mapping> getNested()

  Specified by:
    `getNested` in interface `Mapping`
  Returns:
    the value of the 'Nested' containment reference list.
  See Also:
    `MappingPackage.getMapping_Nested()`, `Mapping.getNestedIn()`

### getNestedIn

    public Mapping getNestedIn()

  Specified by:
    `getNestedIn` in interface `Mapping`
  Returns:
    the value of the 'Nested In' container reference.
  See Also:
    `Mapping.setNestedIn(Mapping)`, `MappingPackage.getMapping_NestedIn()`, `Mapping.getNested()`

### basicSetNestedIn

    public NotificationChain basicSetNestedIn(Mapping newNestedIn,
                                              NotificationChain msgs)

### setNestedIn

    public void setNestedIn(Mapping newNestedIn)

  Specified by:
    `setNestedIn` in interface `Mapping`
  Parameters:
    `newNestedIn` - the new value of the 'Nested In' container reference.
  See Also:
    `Mapping.getNestedIn()`

### getInputs

    public EList<EObject> getInputs()

  Specified by:
    `getInputs` in interface `Mapping`
  Returns:
    the value of the 'Inputs' reference list.
  See Also:
    `MappingPackage.getMapping_Inputs()`

### getOutputs

    public EList<EObject> getOutputs()

  Specified by:
    `getOutputs` in interface `Mapping`
  Returns:
    the value of the 'Outputs' reference list.
  See Also:
    `MappingPackage.getMapping_Outputs()`

### getTypeMapping

    public Mapping getTypeMapping()

  Specified by:
    `getTypeMapping` in interface `Mapping`
  Returns:
    the value of the 'Type Mapping' reference.
  See Also:
    `Mapping.setTypeMapping(Mapping)`, `MappingPackage.getMapping_TypeMapping()`

### basicGetTypeMapping

    public Mapping basicGetTypeMapping()

### setTypeMapping

    public void setTypeMapping(Mapping newTypeMapping)

  Specified by:
    `setTypeMapping` in interface `Mapping`
  Parameters:
    `newTypeMapping` - the new value of the 'Type Mapping' reference.
  See Also:
    `Mapping.getTypeMapping()`

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `BasicEObjectImpl`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `BasicEObjectImpl`

### eBasicRemoveFromContainerFeature

    public NotificationChain eBasicRemoveFromContainerFeature(NotificationChain msgs)

  Overrides:
    `eBasicRemoveFromContainerFeature` in class `BasicEObjectImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `InternalEObject`
  Overrides:
    `eGet` in class `BasicEObjectImpl`
  See Also:
    `InternalEObject.eGet(EStructuralFeature, boolean, boolean)`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `InternalEObject`
  Overrides:
    `eSet` in class `BasicEObjectImpl`
  See Also:
    `EObject.eSet(EStructuralFeature, Object)`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `InternalEObject`
  Overrides:
    `eUnset` in class `BasicEObjectImpl`
  See Also:
    `EObject.eUnset(EStructuralFeature)`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `InternalEObject`
  Overrides:
    `eIsSet` in class `BasicEObjectImpl`
  See Also:
    `EObject.eIsSet(EStructuralFeature)`

### getMappedObjects

    public java.util.Collection<? extends EObject> getMappedObjects()

  Description copied from interface: `Mapping`
  This returns a set containing the results of `Mapping.getInputs()` and `Mapping.getOutputs()`.

  Specified by:
    `getMappedObjects` in interface `Mapping`

### getMappingRoot

    public MappingRoot getMappingRoot()

  Description copied from interface: `Mapping`
  This returns either the containing mapping root or the object itself, if it is a mapping root.

  Specified by:
    `getMappingRoot` in interface `Mapping`

### getEffectiveHelper

    public MappingHelper getEffectiveHelper()

  Description copied from interface: `Mapping`
  This returns the mapping helper for this mapping, if it has one. Otherwise, if the mapping has an associated type mapping it returns the type mapping's helper.

  Specified by:
    `getEffectiveHelper` in interface `Mapping`

### isReverse

    public boolean isReverse()

  Description copied from interface: `Mapping`
  This method is delegated to the containing mapping if one exists, or returns false otherwise. Subclasses can override this method to return true when the logical direction of a mapping is reversed (i.e., from outputs to inputs).

  Specified by:
    `isReverse` in interface `Mapping`

### getSenders

    public EList<EObject> getSenders()

  Description copied from interface: `Mapping`
  This returns the same as `Mapping.getInputs()` if `Mapping.isReverse()` returns false. Otherwise it returns the same as `Mapping.getOutputs()`.

  Specified by:
    `getSenders` in interface `Mapping`

### getReceivers

    public EList<EObject> getReceivers()

  Description copied from interface: `Mapping`
  This returns the same as `Mapping.getOutputs()` if `Mapping.isReverse()` returns false. Otherwise it returns the same as `Mapping.getInputs()`.

  Specified by:
    `getReceivers` in interface `Mapping`

### getTops

    public EList<EObject> getTops()

  Description copied from interface: `Mapping`
  This returns the same as either `Mapping.getInputs()` or `Mapping.getOutputs()` depending on the mapping root's isTopToBottom.

  Specified by:
    `getTops` in interface `Mapping`

### getBottoms

    public EList<EObject> getBottoms()

  Description copied from interface: `Mapping`
  This returns the same as either `Mapping.getInputs()` or `Mapping.getOutputs()` depending on the mapping root's isTopToBottom.

  Specified by:
    `getBottoms` in interface `Mapping`

### treeIterator

    public TreeIterator<Mapping> treeIterator()

  Description copied from interface: `Mapping`
  This returns a tree iterator that iterates over this mapping, all it's nested mappings, and their nested mappings, and so on.

  Specified by:
    `treeIterator` in interface `Mapping`

### treeIterator

    public TreeIterator<Mapping> treeIterator(boolean includeRoot)

  Description copied from interface: `Mapping`
  This returns a tree iterator that iterates over this mapping (but only if includeRoot is true), all it's nested mappings, and their nested mappings, and so on.

  Specified by:
    `treeIterator` in interface `Mapping`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `BasicEObjectImpl`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.